brushless15 2.0.0.0

Data Structures | Macros | Enumerations | Functions
brushless15.h File Reference

This file contains API for Brushless 15 Click Driver. More...

`#include "drv_digital_out.h"`
`#include "drv_digital_in.h"`
`#include "drv_pwm.h"`

Go to the source code of this file.

## Data Structures
struct | brushless15_t
| Brushless 15 Click driver selector. More...
struct | brushless15_cfg_t
| Brushless 15 Click configuration object. More...

## Macros
#define | BRUSHLESS15_DEF_FREQ 1000
| Brushless 15 default PWM frequency. More...
#define | BRUSHLESS15_DIR_CW 0
| Brushless 15 direction macros. More...
#define | BRUSHLESS15_DIR_CCW 1
#define | BRUSHLESS15_MAP_MIKROBUS(cfg, mikrobus)
| MikroBUS pin mapping. More...

## Enumerations
enum | brushless15_return_value_t { BRUSHLESS15_OK = 0, BRUSHLESS15_ERROR = -1 }
| Brushless 15 Click return value data. More...

## Functions
void | brushless15_cfg_setup (brushless15_cfg_t *cfg)
| Brushless 15 configuration object setup function. More...
err_t | brushless15_init (brushless15_t *ctx, brushless15_cfg_t *cfg)
| Brushless 15 initialization function. More...
err_t | brushless15_default_cfg (brushless15_t *ctx)
| Brushless 15 default configuration function. More...
err_t | brushless15_set_duty_cycle (brushless15_t *ctx, float duty_cycle)
| Brushless 15 sets PWM duty cycle. More...
err_t | brushless15_pwm_stop (brushless15_t *ctx)
| Brushless 15 stop PWM module. More...
err_t | brushless15_pwm_start (brushless15_t *ctx)
| Brushless 15 start PWM module. More...
void | brushless15_enable_device (brushless15_t *ctx)
| Brushless 15 enable device function. More...
void | brushless15_disable_device (brushless15_t *ctx)
| Brushless 15 disable device function. More...
uint8_t | brushless15_get_int_pin (brushless15_t *ctx)
| Brushless 15 get int pin function. More...
void | brushless15_set_direction (brushless15_t *ctx, uint8_t direction)
| Brushless 15 set direction function. More...
void | brushless15_switch_direction (brushless15_t *ctx)
| Brushless 15 switch direction function. More...

## Detailed Description

This file contains API for Brushless 15 Click Driver.

## Enumeration Type Documentation

## ◆ brushless15_return_value_t

enum brushless15_return_value_t

Brushless 15 Click return value data.

Predefined enum values for driver return values.

Enumerator
BRUSHLESS15_OK |
BRUSHLESS15_ERROR |